API ReferenceConsumer

Resolve consumer tool-router permissionsv3.1

Markdown
POST
/api/v3.1/consumer/permissions/resolve

Resolves durable connected-account tool permissions into the landed tool-router experimental.permissions config so consumer flows can pass it directly when creating a tool-router session. In addition to existing auth methods, server-side callers may use admin auth with org_member_id/project_id/org_id query params to derive the project user context.

x-api-key<token>

Project API key authentication

In: header

Query Parameters

org_member_idstring

Org member/user UUID used with admin auth.

Format: uuid
project_idstring

Project nano ID used with admin auth.

Format: projectId
org_idstring

Org nano ID used with admin auth.

Format: orgId

Request Body

application/json

connected_account_idsarray of string

Connected account nano IDs to include in resolution.

connected_accountsobject

Optional toolkit_slug -> connected account nano ID array map. Values are flattened and merged with connected_account_ids.

defaultenum

Optional default mode to include in the resolved tool-router permissions config.

Possible values:
allow_allask_every_callask_once_per_session

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://backend.composio.dev/api/v3.1/consumer/permissions/resolve" \  -H "Content-Type: application/json" \  -d '{}'
{
  "experimental": {
    "permissions": {
      "default": "allow_all",
      "overrides": {
        "property1": "always_allow",
        "property2": "always_allow"
      }
    }
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}